Page MenuHomePhabricator

[image statistics plugin] refactor to use new node selection widget
Closed, ResolvedPublic

Description

It makes no sense to just replace the currently used QmitkDataStorageComboBoxes as the QmitkMultiNodeSelectionWidget uses notable more space.
Instead, we could:

Revisions and Commits

rMITK MITK
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision

Event Timeline

hentsch triaged this task as Normal priority.Apr 11 2019, 2:38 PM
hentsch created this task.

The widget still can't tell if the selected mask fits the selected image, which can cause errors.

The widget's histogram/intensity profile has been temporarily disabled. The multiselection widget doesn´t fit the single data display. Therefore there needs to be a single selection possible. (Maybe through clicking on the statistics list)

The IgnoreZeroCheckBox needs to be implemented, enabling it should change all selected statistic data.

floca added a comment.Sep 19 2019, 3:46 PM

The widget still can't tell if the selected mask fits the selected image, which can cause errors.

May be I missed the point. But it is de facto possible.
You can already define a filter predicate and you can specify a filter/check lambda. Both ways would allow to control if the geometries fit or not. These techiques should be used. If you have any questions, please ask.

The widget's histogram/intensity profile has been temporarily disabled.
The multiselection widget doesn´t fit the single data display. Therefore there needs to be a single
selection possible. (Maybe through clicking on the statistics list)

Why can't you show multiple histograms for several imageXmask combinations?

The IgnoreZeroCheckBox needs to be implemented, enabling it should change all selected statistic data.

Has been added!

The widget still can't tell if the selected mask fits the selected image, which can cause errors.

May be I missed the point. But it is de facto possible.
You can already define a filter predicate and you can specify a filter/check lambda. Both ways would allow to control if the geometries fit or not. These techiques should be used. If you have any questions, please ask.

Added a filter that allows to only add data nodes that have the same geometry. If the condition is not fulfilled, an information string is displayed (see T27028).

The widget's histogram/intensity profile has been temporarily disabled.
The multiselection widget doesn´t fit the single data display. Therefore there needs to be a single
selection possible. (Maybe through clicking on the statistics list)

Why can't you show multiple histograms for several imageXmask combinations?

Has been re-enabled with the possibility to add multiple data (labels) to a single histogram.

floca added a comment.Jan 24 2020, 4:47 PM

What is now missing for this task?

Manual testing and review.
An example of what is now possible has been sent to you.

kalali claimed this task.Jan 25 2020, 9:54 AM
kalali added a subscriber: kraeuter.
kalali added a revision: Restricted Differential Revision.Jan 25 2020, 10:06 AM
kalali closed this task as Resolved.Feb 19 2020, 1:20 PM